Loading...
Searching...
No Matches
FsUtil::TmpDir Class Reference

Class implementing a user friendly temporary directory creation. More...

## Public Member Functions

| constructor (*string prefix, *string suffix, *string path)
| Creates a unique temporary directory and returns its absolute path.

## Public Attributes

string | path
| The path to the temporary directory created in the constructor.

## Detailed Description

Class implementing a user friendly temporary directory creation.

The directory and all its contents are removed in the destructor

Since
  FsUtil 1.1 inherits Qore::Dir

## Member Function Documentation

## constructor()

FsUtil::TmpDir::constructor | ( | *string | prefix,
|  | *string | suffix,
|  | *string | path )

Creates a unique temporary directory and returns its absolute path.

Parameters

  prefix | prefix to be used in the newly created directory name
  suffix | suffix to be used in the newly created directory name
  path | path to a dir in which the caller wants to create the new directory; if not provided, the standard temp location will be used